hxt-relaxng-9.1.5.5: The HXT RelaxNG validator

Safe Haskell | None
Language | Haskell98

Text.XML.HXT.RelaxNG.DataTypeLibMysql

Description

Datatype library for the MySQL datatypes

Synopsis

- mysqlNS :: String
- mysqlDatatypeLib :: DatatypeLibrary

# Documentation

mysqlNS :: String #

Namespace of the MySQL datatype library

mysqlDatatypeLib :: DatatypeLibrary #

The main entry point to the MySQL datatype library.

The `DTC` constructor exports the list of supported datatypes and params. It also exports the specialized functions to validate a XML instance value with respect to a datatype.